> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agentcard.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a webhook endpoint

> One endpoint, without its secret.

<ParamField path="id" type="string" required>The endpoint id.</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl https://api.agentcard.sh/api/v2/webhook_endpoints/we_7h2k9p4m \
    -H "Authorization: Bearer $ORG_TOKEN"
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "id": "we_7h2k9p4m",
    "object": "webhook_endpoint",
    "url": "https://your.app/agentcard/webhooks",
    "enabled_events": ["vault.card_stored", "checkout_authorization.*"],
    "status": "active",
    "description": "Production checkout events",
    "created_at": "2026-09-07T17:00:00Z"
  }
  ```
</ResponseExample>
